from typing import Optional

from PySide2.QtWidgets import QWidget

from ..data_types import SearchSettings


class SelectByStyleWidgetInterface(QWidget):

    def __init__(self, parent: QWidget) -> None:
        super().__init__(parent)

    def result(self) -> Optional[SearchSettings]:
        return None
